extends ../layouts/navbar
include ../components/successerrorbox

block content
    h1 Confirm Import to [#{data.code}] #{data.name}
    +successerror(sucmsg, errmsg)
    .alert.alert-info(role='alert')= `Successfully parsed ${userlen} user accounts. Click Confirm to process`
    form#uploadform(action=`/course/importusers/${data.id}/confirm`, method='post').text-center
        input#rediskey(type='hidden', name='cachekey', value=`${dataCache}`)
        button.btn.btn-primary(type='submit') Confirm
        a.btn.btn-danger.ml-3(role='button', href=`/course/importusers/${data.id}`) Cancel
    if (errData.length > 0)
        h2.mt-5= `Failed to parse ${errData.length} user accounts`
        p The following accounts have not been parsed successfully. Check that your CSV file is formatted correctly with the right data in each column and that the users exists in the system
        table.table
            thead
                tr
                    th(scope='col') #
                    th(scope='col') Username
                    th(scope='col') Course Role
            tbody
            each errCell, cellNum in errData
                tr
                    th(scope='row')= cellNum+1
                    td= errCell.username
                    td= errCell.errorAt